Bug 1123335 - BPMN component is not updated after change of Kie project
Summary: BPMN component is not updated after change of Kie project
Keywords:
Status: MODIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Rules / jBPM integration
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR4
: 6.1.0
Assignee: David Ward
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 11:02 UTC by Tomas Rohovsky
Modified: 2016-01-04 07:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2228 Major Resolved BPMN component is not updated after change of Kie project 2015-08-04 07:58:51 UTC

Description Tomas Rohovsky 2014-07-25 11:02:52 UTC
A BPMN implementation is not updated after change of a Kie project. It works fine for Drools. It is necessary to mention that a BPMN implementation is not updated once the component is invoked. So, it is possible to have two BPMN components based on the same implementation and each of them having different behaviour - the first was invoked before update of Kie project, the second was invoked after update of Kie project. A reproducer based on the switchyard-bpm-service quickstart is attached in JIRA.

How to reproduce:

    1. install the Kie project to maven repo: mvn install
    2. bin/standalone.sh
    3. deploy the modified switchyard-bpm-service: mvn install -Pdeploy -DskipTests
    4. invoke the first BPMN component: mvn exec:java
        * you will see this message in the server log: ********** Inventory user: trohovsk / incoming messageId: ID-merkur-37675-1406282701955-0-19 **********
    5. modify and install the Kie project
        * change println message in Inventory's On Entry Script
        * mvn install
    6. invoke the first BPMN component again: mvn exec:java
        * you should see the modified message, however you will see the original message
    7. invoke the second BPMN component: mvn exec:java -Dexec.args="2"
        * you will see the modified message: ********** CHANGED Inventory user: trohovsk / incoming messageId: ID-merkur-37675-1406282701955-0-10 **********

Comment 1 JBoss JIRA Server 2014-12-03 23:10:59 UTC
Rob Cernich <rcernich@redhat.com> updated the status of jira SWITCHYARD-2228 to Resolved


Note You need to log in before you can comment on or make changes to this bug.